<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory>
        <!-- Database connection settings -->
        <property name="connection.driver_class">com.mysql.jdbc.Driver</property>
        <property name="connection.url">jdbc:mysql://172.17.5.17:31548/baa_pay_1.0</property>

        <!-- JDBC connection pool (use the built-in) -->
        <!--
        <property name="connection.pool_size">1</property>
         -->

        <!-- SQL dialect -->
        <property name="dialect">org.hibernate.dialect.MySQLDialect</property>

        <!-- Enable Hibernate's automatic session context management -->
        <property name="current_session_context_class">thread</property>

        <!-- Echo all executed SQL to stdout -->
        <property name="show_sql">true</property>
        <mapping class="cn.quant.baa.pay.jpa.entity.PayAccountEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.PayAppEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.PayFeatureEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.MchChannelEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.DictionaryEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.CustomerEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.AccountEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.PayHistoryEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.PayGoodsDetailEntity"/>
        <mapping class="cn.quant.baa.pay.jpa.entity.StatusCodeEntity"/>

        <!-- Drop and re-create the database schema on startup -->
        <!--
        <property name="hbm2ddl.auto">update</property>
        -->
    </session-factory>
</hibernate-configuration>